GNU bug report logs - #55022
error compiling emacs 28.1

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: robin hankin <hankin.robin@HIDDEN>; Keywords: moreinfo; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 55022 <at> debbugs.gnu.org and robin hankin <hankin.robin@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 55022 <at> debbugs.gnu.org:


Received: (at 55022) by debbugs.gnu.org; 18 May 2022 18:04:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 18 14:04:31 2022
Received: from localhost ([127.0.0.1]:33452 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nrO2B-00064k-0w
	for submit <at> debbugs.gnu.org; Wed, 18 May 2022 14:04:31 -0400
Received: from quimby.gnus.org ([95.216.78.240]:42422)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nrO28-00064U-S2
 for 55022 <at> debbugs.gnu.org; Wed, 18 May 2022 14:04:29 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=/nrSuq0PWtgrJWihRe46hfBLIlRVTFTjD0zGHREPeq8=; b=hAAEl3MzH9zMlAclMP7zUn7GXf
 ZBXOm+DjPDwtUu4Kvc1CYT33E7HkKimtp0WizMvUccIgZfiY9jGRy+Dz6YwkWjD20ppTsKs9bd9js
 f0uq7hQteUlbZOcfiOYZYVHCOb97uHVforoFDy9T/Iyl7FJmxz+HOWEVDhb0esCb/8n4=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nrO1z-0001Ws-Q3; Wed, 18 May 2022 20:04:22 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: robin hankin <hankin.robin@HIDDEN>
Subject: Re: bug#55022: error compiling emacs 28.1
References: <CAHHjBM6sT+DBprmq=MvNxB0ceshwe5R+ZAY1FP=DijhK1Zki6w@HIDDEN>
X-Now-Playing: Cabaret Voltaire's _Shadow Of Fear_: "Papa Nine Zero Delta
 United"
Date: Wed, 18 May 2022 20:04:18 +0200
In-Reply-To: <CAHHjBM6sT+DBprmq=MvNxB0ceshwe5R+ZAY1FP=DijhK1Zki6w@HIDDEN>
 (robin hankin's message of "Tue, 19 Apr 2022 19:03:07 +1200")
Message-ID: <87v8u2afa5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: robin hankin <hankin.robin@HIDDEN> writes: > /usr/bin/ld:
 /lib/x86_64-linux-gnu/libpango-1.0.so.0: undefined reference to >
 `hb_buffer_set_invisible_glyph'
 > /usr/bin/ld: /lib/x86_64-linux-gnu/libpangoft2-1.0.so.0: undefined reference
 to > `hb [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55022
Cc: 55022 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

robin hankin <hankin.robin@HIDDEN> writes:

> /usr/bin/ld: /lib/x86_64-linux-gnu/libpango-1.0.so.0: undefined reference to
> `hb_buffer_set_invisible_glyph'
> /usr/bin/ld: /lib/x86_64-linux-gnu/libpangoft2-1.0.so.0: undefined reference to
> `hb_ot_metrics_get_position'

I found an Ubuntu 20.04 system here, and Emacs built fine by default.

I tried removing libharfbuzz-dev manually, and I then got this warning:

configure: WARNING: This configuration uses the Cairo graphics library,
    but not the HarfBuzz font shaping library (minimum version 0.9.42).
    We recommend the use of HarfBuzz when using Cairo, please install
    appropriate HarfBuzz development packages.

But Emacs still built fine.

So I think it sounds likely that your system is somewhat broken in one
way or another, and there's not much that can be done on the Emacs side
here, so I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55022; Package emacs. Full text available.

Message received at 55022 <at> debbugs.gnu.org:


Received: (at 55022) by debbugs.gnu.org; 20 Apr 2022 12:29:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 20 08:29:55 2022
Received: from localhost ([127.0.0.1]:45289 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nh9T1-0001iN-He
	for submit <at> debbugs.gnu.org; Wed, 20 Apr 2022 08:29:55 -0400
Received: from eggs.gnu.org ([209.51.188.92]:60170)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1nh9T0-0001iB-1d
 for 55022 <at> debbugs.gnu.org; Wed, 20 Apr 2022 08:29:54 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33664)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nh9Su-0001WR-Qa; Wed, 20 Apr 2022 08:29:48 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=FIKDd6fDmLwkO/Rer5JqyHfmJ8cyVVfXSRCk1jOh51g=; b=JVaG1PCjUGGZ
 FWgNeHakQ+OZuLtdI1tOdIX1DDN0boFigvBAi7THQ/DQiD74d8DkRCzud2p46UvzgZMmibLsRPq2E
 jqk0K8K4H9V6hgmWO8EXqB28YzPapkyEayWVK+tY2s/xRI2v36jqPzE88NwYVSgEiZ0+6JQ9czeBI
 jxL4eCWsB8zwh3x3o1ENik85SGLcrfAV3rsSugeXTLNwcVxYrrAycC8ILQwPi2lDoWErSaQjpZGmJ
 iU/O2jj3ZaOU4tBNg9sjB08PDc9WUJkWBv3cCVtWeFYWWbkc7/tylqAm/mGw7hasi/A5/vOeQ52Mz
 MrCR0uUsoCIYRaj3v4r+MQ==;
Received: from [87.69.77.57] (port=4046 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nh9Su-0006ux-AJ; Wed, 20 Apr 2022 08:29:48 -0400
Date: Wed, 20 Apr 2022 15:29:42 +0300
Message-Id: <835yn4szt5.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87y20081gs.fsf@HIDDEN> (message from Lars Ingebrigtsen on Wed, 
 20 Apr 2022 12:59:31 +0200)
Subject: Re: bug#55022: error compiling emacs 28.1
References: <CAHHjBM6sT+DBprmq=MvNxB0ceshwe5R+ZAY1FP=DijhK1Zki6w@HIDDEN>
 <87y20081gs.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55022
Cc: hankin.robin@HIDDEN, 55022 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Date: Wed, 20 Apr 2022 12:59:31 +0200
> Cc: 55022 <at> debbugs.gnu.org
> 
> do you know what library defines
> hb_ot_layout_script_select_language?

All the hb_* functions are from HarfBuzz.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55022; Package emacs. Full text available.

Message received at 55022 <at> debbugs.gnu.org:


Received: (at 55022) by debbugs.gnu.org; 20 Apr 2022 10:59:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 20 06:59:43 2022
Received: from localhost ([127.0.0.1]:45211 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nh83j-000184-8Y
	for submit <at> debbugs.gnu.org; Wed, 20 Apr 2022 06:59:43 -0400
Received: from quimby.gnus.org ([95.216.78.240]:44648)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nh83h-00017p-7a
 for 55022 <at> debbugs.gnu.org; Wed, 20 Apr 2022 06:59:41 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=CnNzyLJBWdW5uzwEzkOmZUXc1wwCBAgyiRDMicc3ZHs=; b=YLVLljhCAi7fhD8yfyb1x8y08f
 GdwV6UnA4frLVOTY4W9ApaIqL0K/+6vqLjIQgWjtafkT65uQ94lacMQLYqqPV6lrFRH7M4zxS/znK
 +W5Ao0IRxymoJZIQfXS6nSLMBnz7GQeyhEixPb/J0XbbDQ34NTBhmNXNuczsTSjSmV58=;
Received: from [176.75.143.124] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nh83Y-00014J-TQ; Wed, 20 Apr 2022 12:59:35 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: robin hankin <hankin.robin@HIDDEN>
Subject: Re: bug#55022: error compiling emacs 28.1
References: <CAHHjBM6sT+DBprmq=MvNxB0ceshwe5R+ZAY1FP=DijhK1Zki6w@HIDDEN>
Date: Wed, 20 Apr 2022 12:59:31 +0200
In-Reply-To: <CAHHjBM6sT+DBprmq=MvNxB0ceshwe5R+ZAY1FP=DijhK1Zki6w@HIDDEN>
 (robin hankin's message of "Tue, 19 Apr 2022 19:03:07 +1200")
Message-ID: <87y20081gs.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: robin hankin <hankin.robin@HIDDEN> writes: > /usr/bin/ld:
 /lib/x86_64-linux-gnu/libpangoft2-1.0.so.0: undefined reference to >
 `hb_ot_layout_script_select_language'
 Like Eli says, this sounds like it could be a bug in Ubuntu 20.04, but perhaps
 we could work around it anyway. I don't have system with that OS available
 here -- do you know what library defines hb_ot [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55022
Cc: 55022 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

robin hankin <hankin.robin@HIDDEN> writes:

> /usr/bin/ld: /lib/x86_64-linux-gnu/libpangoft2-1.0.so.0: undefined reference to
> `hb_ot_layout_script_select_language'

Like Eli says, this sounds like it could be a bug in Ubuntu 20.04, but
perhaps we could work around it anyway.  I don't have system with that
OS available here -- do you know what library defines
hb_ot_layout_script_select_language?  And if so, does altering the
configure script to include that library (with -lthat-library) fix the
build issue?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55022; Package emacs. Full text available.

Message received at 55022 <at> debbugs.gnu.org:


Received: (at 55022) by debbugs.gnu.org; 20 Apr 2022 05:45:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 20 01:45:00 2022
Received: from localhost ([127.0.0.1]:44837 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nh39A-00017C-HM
	for submit <at> debbugs.gnu.org; Wed, 20 Apr 2022 01:45:00 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39254)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1nh399-000170-Fh
 for 55022 <at> debbugs.gnu.org; Wed, 20 Apr 2022 01:44:59 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56598)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nh394-0003Ar-76; Wed, 20 Apr 2022 01:44:54 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=mesQDVZCvTAH6zoTGsLooc9/LaUEbaVU8x0r030UWYA=; b=W9F381HJKLNu
 p85FcSPZXtxmGgY4Q0oP3f7uk/aTRwLtwyfEBwghyjr/kNsc1zETIlHj3R9jAX3222A4vCJu1gDYV
 sMAo5cCKYPYCCwmlx/x3yM4U4GSOySSLUwooEnC0MZvrGfaZhGAcqpPSKBFUVld1WDeERL56hhVKX
 HIet3Fj34NH3zwJnbdrpkHQiawevLkkjYDubyAIUL4DQ5N9FkHJlCy0UkX7MGO3DE/YDXFHr40CWc
 iZ9QnMbv3v7t+ZVQoJXZOX4ON0xVw6BKwtlTy0iTn+cpKciyq7TFG+Srzd1489rVFCmMSs7Wj8Omp
 qqX7vlGRN3QoUhiyucopMA==;
Received: from [87.69.77.57] (port=2344 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nh393-00021Y-GA; Wed, 20 Apr 2022 01:44:53 -0400
Date: Wed, 20 Apr 2022 08:44:46 +0300
Message-Id: <83tuaotik1.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: robin hankin <hankin.robin@HIDDEN>
In-Reply-To: <CAHHjBM4szURTD8+gfXGwAzevXKeCVsSd7AnNZOcP-qTibNy_-w@HIDDEN>
 (message from robin hankin on Wed, 20 Apr 2022 07:29:53 +1200)
Subject: Re: bug#55022: error compiling emacs 28.1
References: <CAHHjBM6sT+DBprmq=MvNxB0ceshwe5R+ZAY1FP=DijhK1Zki6w@HIDDEN>
 <83k0blutn8.fsf@HIDDEN>
 <CAHHjBM4szURTD8+gfXGwAzevXKeCVsSd7AnNZOcP-qTibNy_-w@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55022
Cc: 55022 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: robin hankin <hankin.robin@HIDDEN>
> Date: Wed, 20 Apr 2022 07:29:53 +1200
> 
> OK, thanks for this.  But surely it is reasonable to expect ./configure  to detect such problems?

Not really: configure script usually tests for a library by calling
the pkg-config command, and even if it tries to build a test program
with the library, that test program definitely cannot call all of the
functions that Emacs does, and thus cannot find such problems with
100% probability.

> But, my
> main concern is to allow others who will encounter exactly the same problem [I use an unmodified ubuntu
> 20.04]  to see that they are not alone.

I'd suggest to report this to the Ubuntu package maintainers: it
sounds like their packaging has some problem.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55022; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 55022 <at> debbugs.gnu.org:


Received: (at 55022) by debbugs.gnu.org; 19 Apr 2022 12:47:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 19 08:47:58 2022
Received: from localhost ([127.0.0.1]:41970 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ngnGv-0001tl-EH
	for submit <at> debbugs.gnu.org; Tue, 19 Apr 2022 08:47:57 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36644)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ngnGt-0001t2-2O
 for 55022 <at> debbugs.gnu.org; Tue, 19 Apr 2022 08:47:55 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37294)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ngnGn-0001AB-PU; Tue, 19 Apr 2022 08:47:49 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=bITwlf1JNlWdGJHzpopa0mfDrswjpwaa13w4UfcjXbw=; b=Ojx4ftoKiefv
 RzVyWRfK1YwVxM6jI/k5Ve0/4Zm0siSnsKJ9xfbrPJOZ2aS2kMnmtW/7PsDb3Ar5i1QhavTV7HXmy
 8Uf+XCSPCYdswGaKzBwT1h4a3Y8f5nFGpVXOv8Zl/NRgA+Wh7CwoXhvSKOD3G2SIVzhQeSGzH9i+2
 uKSIOz3agXAHs4Zj/IDR2NigHrocVLf01EzRjbPgkZLq2nItvvK3JEUbG87r6AvXAqr6xhiS34oxc
 WOPgbGyqzlmOqMgg99YVCcAdfcX38vTzy6jxuEx0ApEMQFFJZ2vUTaNnzd42TWCPcYlDxwUauq+K7
 uvqEQNdiyUi1onGcnoP82w==;
Received: from [87.69.77.57] (port=2858 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ngnGn-0002o3-8l; Tue, 19 Apr 2022 08:47:49 -0400
Date: Tue, 19 Apr 2022 15:47:39 +0300
Message-Id: <83k0blutn8.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: robin hankin <hankin.robin@HIDDEN>
In-Reply-To: <CAHHjBM6sT+DBprmq=MvNxB0ceshwe5R+ZAY1FP=DijhK1Zki6w@HIDDEN>
 (message from robin hankin on Tue, 19 Apr 2022 19:03:07 +1200)
Subject: Re: bug#55022: error compiling emacs 28.1
References: <CAHHjBM6sT+DBprmq=MvNxB0ceshwe5R+ZAY1FP=DijhK1Zki6w@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55022
Cc: 55022 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: robin hankin <hankin.robin@HIDDEN>
> Date: Tue, 19 Apr 2022 19:03:07 +1200
> 
> Ubuntu 20.04. I downloaded emacs-28.1.tar.gz and untarred it and changed
> to the correct directory.  Then:
> 
> ./configure
> ./make
> 
> configure finished without error.  But make failed:
> 
> [snip]
> e[2]: Leaving directory '/home/rhankin/Downloads/emacs-28.1/admin/unidata'
> make -C ../admin/unidata emoji-zwj.el
> make[2]: Entering directory '/home/rhankin/Downloads/emacs-28.1/admin/unidata'
> make[2]: Nothing to be done for 'emoji-zwj.el'.
> make[2]: Leaving directory '/home/rhankin/Downloads/emacs-28.1/admin/unidata'
>   CCLD     temacs
> /usr/bin/ld: /lib/x86_64-linux-gnu/libpangoft2-1.0.so.0: undefined reference to
> `hb_ot_layout_script_select_language'
> /usr/bin/ld: /lib/x86_64-linux-gnu/libpangoft2-1.0.so.0: undefined reference to `hb_blob_create_from_file'
> /usr/bin/ld: /lib/x86_64-linux-gnu/libpangoft2-1.0.so.0: undefined reference to
> `hb_ot_var_named_instance_get_design_coords'
> /usr/bin/ld: /lib/x86_64-linux-gnu/libpangoft2-1.0.so.0: undefined reference to
> `hb_ot_tags_from_script_and_language'
> /usr/bin/ld: /lib/x86_64-linux-gnu/libpangoft2-1.0.so.0: undefined reference to `hb_ot_var_get_axis_infos'
> /usr/bin/ld: /lib/x86_64-linux-gnu/libpango-1.0.so.0: undefined reference to `hb_buffer_set_invisible_glyph'
> /usr/bin/ld: /lib/x86_64-linux-gnu/libpangoft2-1.0.so.0: undefined reference to `hb_ot_metrics_get_position'
> collect2: error: ld returned 1 exit status
> make[1]: *** [Makefile:647: temacs] Error 1
> make[1]: Leaving directory '/home/rhankin/Downloads/emacs-28.1/src'
> make: *** [Makefile:449: src] Error 2
> rhankin@limpet:~/Downloads/emacs-28.1$ 

Emacs 28.1 doesn't call any of these functions.  Since the error
messages are triggered by libpangoft2-1.0.so, my guess would be that
your system has a misconfigured installation of Pango and HarfBuzz:
the former requires a (probably later?) version of HarfBuzz than the
HarfBuzz version actually installed.

So I think you should review the relevant libraries installed on your
system, and perhaps upgrade some of them.  Then try reconfiguring and
rebuilding Emacs.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#55022; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Apr 2022 11:16:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 19 07:16:59 2022
Received: from localhost ([127.0.0.1]:41799 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nglqs-0001Sp-PN
	for submit <at> debbugs.gnu.org; Tue, 19 Apr 2022 07:16:59 -0400
Received: from lists.gnu.org ([209.51.188.17]:47902)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <hankin.robin@HIDDEN>) id 1nghtt-0001EA-5z
 for submit <at> debbugs.gnu.org; Tue, 19 Apr 2022 03:03:49 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:42850)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <hankin.robin@HIDDEN>)
 id 1nghtq-0003D5-Kl
 for bug-gnu-emacs@HIDDEN; Tue, 19 Apr 2022 03:03:48 -0400
Received: from mail-yb1-xb29.google.com ([2607:f8b0:4864:20::b29]:33608)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <hankin.robin@HIDDEN>)
 id 1nghto-0005eN-SB
 for bug-gnu-emacs@HIDDEN; Tue, 19 Apr 2022 03:03:46 -0400
Received: by mail-yb1-xb29.google.com with SMTP id j2so29496970ybu.0
 for <bug-gnu-emacs@HIDDEN>; Tue, 19 Apr 2022 00:03:44 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:from:date:message-id:subject:to;
 bh=pJLuWDveB11axPDxeh4XB7pYOZtCzG958mkt+fD3VfA=;
 b=KjEjEbVHH7VNsNciVxJE95u+Y68mJebCt/b3jsKPLeui+hMuijosSB/Kdkt62kNFV3
 b7vJyB4BoRWSk86PQyzckOYnvfoN8F/c3lw65hyMxtt/iVAID7vzgFgRCRaXRJrg0WYe
 p3ZaC3CjQ4Nw05BSqqYz1qdGS8qDY6mu/rWXvksCkausy68ZPU2yktfGBp8b+3yqrXQ6
 GZr4kTUe4Mc9JiwkC+v9l8l+ALvF4xButr5Z2XMSgDbGQeeFnUdedrZWJBlJrSN6N6sZ
 acr8DDUfZJf0gMdW2EMgAWz5NioQAXT6I+AkseVj1fDxETGjbZoYgBh1imWLOzqNaDmA
 aGTw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=pJLuWDveB11axPDxeh4XB7pYOZtCzG958mkt+fD3VfA=;
 b=ofZXtWrhzTFwPbO3+CoRh0aHmVE7FudAGBHpmyyW2mW49dSS8EjuufSy2c+1IyNUFf
 OX6mjvQiIdvbAaHTVSkIq4N7bAYADv56cY/suGyUadZMUcazgwM0aGrnawCwuMrVqums
 vP2p9uE/5KReLYBPGoct0rT2HnOsBOy7BlodpDCijs0QoBDoVPhOfnUC9rwV/7Xqdb9e
 6S4gNxSetNvsEWL7KfzpYIKa3ZGFjqNxBBF3lhqH/C64J/M+ARFzO1/1jqz8cBh3/0vz
 nJsyrNAWdrgsqjKAnUk9pTvh6rx5VBU/cNI+BJE2n85oqir/nqetXcYTD6KW8FJJrzHn
 /xMQ==
X-Gm-Message-State: AOAM530exQGlH6WyUQKEks7RaDVINgsiIuk6wwhX15ZpCzLJGJLC3jT5
 tHXU/g584KCNAQHCkS+XZJ5Oz3QnSujGBQGPZ643fCEWTRE=
X-Google-Smtp-Source: ABdhPJxsGjnKXchrbTjEHEX0TSKSjUuXCUC0MVPVOzkeqWK/uLWDhaIL3SCjhDm7OuY6vUqe6hlGTgsfE4zT7WsxWWU=
X-Received: by 2002:a5b:803:0:b0:633:749f:9acd with SMTP id
 x3-20020a5b0803000000b00633749f9acdmr14012248ybp.236.1650351823303; Tue, 19
 Apr 2022 00:03:43 -0700 (PDT)
MIME-Version: 1.0
From: robin hankin <hankin.robin@HIDDEN>
Date: Tue, 19 Apr 2022 19:03:07 +1200
Message-ID: <CAHHjBM6sT+DBprmq=MvNxB0ceshwe5R+ZAY1FP=DijhK1Zki6w@HIDDEN>
Subject: error compiling emacs 28.1
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="0000000000002eb5ae05dcfc7a58"
Received-SPF: pass client-ip=2607:f8b0:4864:20::b29;
 envelope-from=hankin.robin@HIDDEN; helo=mail-yb1-xb29.google.com
X-Spam_score_int: -4
X-Spam_score: -0.5
X-Spam_bar: /
X-Spam_report: (-0.5 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_IMAGE_ONLY_24=1.618, HTML_MESSAGE=0.001, RCVD_IN_DNSWL_NONE=-0.0001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001, T_REMOTE_IMAGE=0.01,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 19 Apr 2022 07:16:57 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.1 (-)

--0000000000002eb5ae05dcfc7a58
Content-Type: text/plain; charset="UTF-8"

Ubuntu 20.04. I downloaded emacs-28.1.tar.gz and untarred it and changed
to the correct directory.  Then:

./configure
./make

configure finished without error.  But make failed:

[snip]
e[2]: Leaving directory '/home/rhankin/Downloads/emacs-28.1/admin/unidata'
make -C ../admin/unidata emoji-zwj.el
make[2]: Entering directory
'/home/rhankin/Downloads/emacs-28.1/admin/unidata'
make[2]: Nothing to be done for 'emoji-zwj.el'.
make[2]: Leaving directory
'/home/rhankin/Downloads/emacs-28.1/admin/unidata'
  CCLD     temacs
/usr/bin/ld: /lib/x86_64-linux-gnu/libpangoft2-1.0.so.0: undefined
reference to `hb_ot_layout_script_select_language'
/usr/bin/ld: /lib/x86_64-linux-gnu/libpangoft2-1.0.so.0: undefined
reference to `hb_blob_create_from_file'
/usr/bin/ld: /lib/x86_64-linux-gnu/libpangoft2-1.0.so.0: undefined
reference to `hb_ot_var_named_instance_get_design_coords'
/usr/bin/ld: /lib/x86_64-linux-gnu/libpangoft2-1.0.so.0: undefined
reference to `hb_ot_tags_from_script_and_language'
/usr/bin/ld: /lib/x86_64-linux-gnu/libpangoft2-1.0.so.0: undefined
reference to `hb_ot_var_get_axis_infos'
/usr/bin/ld: /lib/x86_64-linux-gnu/libpango-1.0.so.0: undefined reference
to `hb_buffer_set_invisible_glyph'
/usr/bin/ld: /lib/x86_64-linux-gnu/libpangoft2-1.0.so.0: undefined
reference to `hb_ot_metrics_get_position'
collect2: error: ld returned 1 exit status
make[1]: *** [Makefile:647: temacs] Error 1
make[1]: Leaving directory '/home/rhankin/Downloads/emacs-28.1/src'
make: *** [Makefile:449: src] Error 2
rhankin@limpet:~/Downloads/emacs-28.1$

I would expect a successful ./configure to result in compilation, not an
error.



<hankin.robin@HIDDEN>

--0000000000002eb5ae05dcfc7a58
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div><br></div><div>Ubuntu 20.04. I downloaded emacs-28.1.=
tar.gz and untarred it and changed<br>to the correct directory.=C2=A0 Then:=
<br><br>./configure<br>./make<br><br>configure finished without error.=C2=
=A0 But make failed:<br><br>[snip]<br>e[2]: Leaving directory &#39;/home/rh=
ankin/Downloads/emacs-28.1/admin/unidata&#39;<br>make -C ../admin/unidata e=
moji-zwj.el<br>make[2]: Entering directory &#39;/home/rhankin/Downloads/ema=
cs-28.1/admin/unidata&#39;<br>make[2]: Nothing to be done for &#39;emoji-zw=
j.el&#39;.<br>make[2]: Leaving directory &#39;/home/rhankin/Downloads/emacs=
-28.1/admin/unidata&#39;<br>=C2=A0 CCLD =C2=A0 =C2=A0 temacs<br>/usr/bin/ld=
: /lib/x86_64-linux-gnu/libpangoft2-1.0.so.0: undefined reference to `hb_ot=
_layout_script_select_language&#39;<br>/usr/bin/ld: /lib/x86_64-linux-gnu/l=
ibpangoft2-1.0.so.0: undefined reference to `hb_blob_create_from_file&#39;<=
br>/usr/bin/ld: /lib/x86_64-linux-gnu/libpangoft2-1.0.so.0: undefined refer=
ence to `hb_ot_var_named_instance_get_design_coords&#39;<br>/usr/bin/ld: /l=
ib/x86_64-linux-gnu/libpangoft2-1.0.so.0: undefined reference to `hb_ot_tag=
s_from_script_and_language&#39;<br>/usr/bin/ld: /lib/x86_64-linux-gnu/libpa=
ngoft2-1.0.so.0: undefined reference to `hb_ot_var_get_axis_infos&#39;<br>/=
usr/bin/ld: /lib/x86_64-linux-gnu/libpango-1.0.so.0: undefined reference to=
 `hb_buffer_set_invisible_glyph&#39;<br>/usr/bin/ld: /lib/x86_64-linux-gnu/=
libpangoft2-1.0.so.0: undefined reference to `hb_ot_metrics_get_position&#3=
9;<br>collect2: error: ld returned 1 exit status<br>make[1]: *** [Makefile:=
647: temacs] Error 1<br>make[1]: Leaving directory &#39;/home/rhankin/Downl=
oads/emacs-28.1/src&#39;<br>make: *** [Makefile:449: src] Error 2<br>rhanki=
n@limpet:~/Downloads/emacs-28.1$ <br><br>I would expect a successful ./conf=
igure to result in compilation, not an<br>error.<br><br></div><div><br></di=
v><br clear=3D"all"><div><div dir=3D"ltr" class=3D"gmail_signature" data-sm=
artmail=3D"gmail_signature"><div dir=3D"ltr"><div><div dir=3D"ltr"><div><di=
v dir=3D"ltr"><div style=3D"text-align:left"><span><span><a href=3D"mailto:=
hankin.robin@HIDDEN" target=3D"_blank"><img src=3D"https://docs.google.c=
om/uc?export=3Ddownload&amp;id=3D0B36BofXEAuW9NWtjX2JjX0k2cHM&amp;revid=3D0=
B36BofXEAuW9YnllRDBlSWlQRDBCOEFieVgvWjNGdFBSdXBrPQ" width=3D"61" height=3D"=
61"></a></span></span>=C2=A0<br></div></div></div></div></div></div></div><=
/div></div>

--0000000000002eb5ae05dcfc7a58--




Acknowledgement sent to robin hankin <hankin.robin@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#55022; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 18 May 2022 18:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.